package com.steering.mes.mcp.entity;

/**
 * 数据库表MCH_REMANENCE_RESULT所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2021-04-22
 */
@SuppressWarnings("serial")
public class MchRemanenceResultEntity implements java.io.Serializable {
    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     */
    private String resultNo = "";
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 操作人
     */
    private String proUser = "";
    /**
     * 作业支数
     */
    private String proNum = "";
    /**
     * 作业重量
     */
    private String proWt = "";
    /**
     * 生产(年月日)
     */
    private String proYearMonthDay = "";
    /**
     * 结算日期（年月）
     */
    private String balYearMonth = "";
    /**
     * 操作班次
     */
    private String proShift = "";
    /**
     * 操作班组
     */
    private String proGroup = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 操作时间
     */
    private String proTime = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 责任人
     */
    private String responsible = "";
    /**
     * 报告地址
     */
    private String reportPath = "";
    /**
     * 检测记录
     */
    private String testRecord = "";
    /**
     * 单点最大(GS)
     */
    private String pointMax = "";
    /**
     * 平均最大(GS)
     */
    private String averageMax = "";

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 操作人
     * @return value
     */
    public String getProUser() {
        return proUser;
    }

    /**
     * 操作人
     * @param proUser value
     */
    public void setProUser(String proUser) {
        this.proUser = proUser;
    }

    /**
     * 作业支数
     * @return value
     */
    public String getProNum() {
        return proNum;
    }

    /**
     * 作业支数
     * @param proNum value
     */
    public void setProNum(String proNum) {
        this.proNum = proNum;
    }

    /**
     * 作业重量
     * @return value
     */
    public String getProWt() {
        return proWt;
    }

    /**
     * 作业重量
     * @param proWt value
     */
    public void setProWt(String proWt) {
        this.proWt = proWt;
    }

    /**
     * 生产(年月日)
     * @return value
     */
    public String getProYearMonthDay() {
        return proYearMonthDay;
    }

    /**
     * 生产(年月日)
     * @param proYearMonthDay value
     */
    public void setProYearMonthDay(String proYearMonthDay) {
        this.proYearMonthDay = proYearMonthDay;
    }

    /**
     * 结算日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getProShift() {
        return proShift;
    }

    /**
     * 操作班次
     * @param proShift value
     */
    public void setProShift(String proShift) {
        this.proShift = proShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getProGroup() {
        return proGroup;
    }

    /**
     * 操作班组
     * @param proGroup value
     */
    public void setProGroup(String proGroup) {
        this.proGroup = proGroup;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getProTime() {
        return proTime;
    }

    /**
     * 操作时间
     * @param proTime value
     */
    public void setProTime(String proTime) {
        this.proTime = proTime;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 责任人
     * @return value
     */
    public String getResponsible() {
        return responsible;
    }

    /**
     * 责任人
     * @param responsible value
     */
    public void setResponsible(String responsible) {
        this.responsible = responsible;
    }

    /**
     * 报告地址
     * @return value
     */
    public String getReportPath() {
        return reportPath;
    }

    /**
     * 报告地址
     * @param reportPath value
     */
    public void setReportPath(String reportPath) {
        this.reportPath = reportPath;
    }

    /**
     * 检测记录
     * @return value
     */
    public String getTestRecord() {
        return testRecord;
    }

    /**
     * 检测记录
     * @param testRecord value
     */
    public void setTestRecord(String testRecord) {
        this.testRecord = testRecord;
    }

    /**
     * 单点最大(GS)
     * @return value
     */
    public String getPointMax() {
        return pointMax;
    }

    /**
     * 单点最大(GS)
     * @param pointMax value
     */
    public void setPointMax(String pointMax) {
        this.pointMax = pointMax;
    }

    /**
     * 平均最大(GS)
     * @return value
     */
    public String getAverageMax() {
        return averageMax;
    }

    /**
     * 平均最大(GS)
     * @param averageMax value
     */
    public void setAverageMax(String averageMax) {
        this.averageMax = averageMax;
    }
}